Try PubSub+

MQTT 5.0 Support 🎉

TamimiTamimi Member, Administrator, Employee Posts: 146 admin

PubSub+ Early Access Broker now supports MQTT v5.0! With this new support, the broker will automatically determine whether the client is speaking MQTT v3.1 or MQTT v5.0. Some of the new features you will be able to have access to with this support is:

  • Assigned Client ID
  • Determine content type so that message consumers can determine how to decode the message payload
  • Setting flow control: to ensure that the broker doesnt send messages at a rate faster than what the consumer can handle
  • Setting Maximum packet size
  • Setting Message expiry
  • Setting Session expiry
  • Server Capabilities Advertisement
  • Determine Payload Format
  • QoS0, QoS1 still supported
  • QoS0 Shared Subscriptions
  • Reason code on all Acks
  • Request/Reply
  • Setting User Properties
  • Will Properties

Note: There is no broker configuration needed to enable the MQTT v5.0 feature set.

So, any MQTT users out there? What version of MQTT are you using? How would this support improve your IoT development with Solace?

Tagged:

Comments

  • Thomas MansonThomas Manson Member, Employee Posts: 1 Solace Employee

    Any public target date for GA of MQTT v5.0 ?

  • TamimiTamimi Member, Administrator, Employee Posts: 146 admin

    Hey Thomas! I believe MQTT 5.0 will be GA on the next release! I will get you the exact dates 👍

  • marcmarc Member, Administrator, Moderator, Employee Posts: 336 admin

    @Tamimi is correct, MQTT 5.0 will be in the next GA release which is currently targeted for the end of April in Broker v9.9

Sign In or Register to comment.